function PCAScatterPlot(Samples, Color, Marker)
// führt eine 2D-Hauptkomponentenanalyse (englisch 'principal components transform', Abkürzung: PCA) durch und visualisiert das Ergebnis.
//
// Calling Sequence
//   PCAScatterPlot(Samples, Color, Marker)
//
// Parameters
//  Samples: Matrix, die Beispielvektoren als Zeilen enthält
//  Color: Zeichenkette, gibt die Farbe der Marker an, kann 'r' (rot), 'y' (gelb), 'g' (grün), 'c' (türkis), 'b' (blau), 'm' (magenta) oder 'k' (schwarz) sein
//  Marker: Zeichenkette, die angibt, welches Zeichen als Marker verwendet wird, kann '.' (Punkt), 'o' (Kreis), '+' (Plus), '*' (Stern) oder 'x' (Kreuz) sein
//
// Description
// This function applies a 2D principal component analysis (PCA) to the rows of
// Samples. All samples are projected to the plane spanned by the 1st and 2nd
// principal components.
//
// Examples
//  global CLUSTER_PATH;
//  Source = read_csv(CLUSTER_PATH + 'demos\IrisData.csv', ascii(9));
//  Samples = strtod(Source(:, 1 : 4));
//  PCAScatterPlot(Samples, 'r', '.');
//
// See also
//
// Authors
//  Dr. Eng. (J) Harald Galda; 
//
// Bibliography
//   Harald Galda, 'Development of a segmentation method for dermoscopic images based on color clustering', Kobe University, August 2003

// start of coding after on empty line to mark the end of the head_comments section
// This file is for XML file generation only.
endfunction
