function PCAScatterPlot(Samples, Color, Marker)
// performs a 2D principal component analysis (PCA) and visualizes it.
//
// Calling Sequence
//   PCAScatterPlot(Samples, Color, Marker)
//
// Parameters
//  Samples: matrix that includes sample vectors as rows
//  Color: string that specifies marker color, can be 'r' (red), 'y' (yellow), 'g' (green), 'c' (cyan), 'b' (blue), 'm' (magenta) or 'k' (black)
//  Marker: string that specifies the character used as marker, can be '.' (point), 'o' (circle), '+' (plus), '*' (asterisk) or 'x' (cross)
//
// Description
// This function applies a 2D principal component analysis (PCA) to the rows of
// Samples. All samples are projected to the plane spanned by the 1st and 2nd
// principal components.
//
// Examples
//  global CLUSTER_PATH;
//  Source = read_csv(CLUSTER_PATH + 'demos\IrisData.csv', ascii(9));
//  Samples = strtod(Source(:, 1 : 4));
//  PCAScatterPlot(Samples, 'r', '.');
//
// See also
//
// Authors
//  Dr. Eng. (J) Harald Galda; 
//
// Bibliography
//   Harald Galda, 'Development of a segmentation method for dermoscopic images based on color clustering', Kobe University, August 2003

// start of coding after on empty line to mark the end of the head_comments section
// This file is for XML file generation only.
endfunction
