﻿function PCAScatterPlot(Samples, Color, Marker)
// は2次元の基本要素変換を行って、結果を表示する
//
// Calling Sequence
//   PCAScatterPlot(Samples, Color, Marker)
//
// Parameters
//  Samples:サンプルを含む行列で、サンプルは行である
//  Color:色を指定する文字列で、可能をある値は「r」 (赤い)、「y」 (yellow)、「g」 (緑)、「c」 (緑と青いの中間)、「b」 (青い)、「m」 (紫)及び「k」 (黒い)を含む
//  Marker:マーカーとして使用される文字を指定する文字列で、可能のある値は、「.」 (点)、「o」 (丸)、「+」 (十字)、「*」 (星)及び「x」 (×)を含む
//
// Description
// 本関数はSamplesの行に基本要素変換を適用する。サンプルは1つ目と2つ目の基本要素変換の構成要素になる平面に写像される。
//
// Examples
//  global CLUSTER_PATH;
//  Source = read_csv(CLUSTER_PATH + 'demos\IrisData.csv', ascii(9));
//  Samples = strtod(Source(:, 1 : 4));
//  PCAScatterPlot(Samples, 'r', '.');
//
// See also
//
// Authors
//  画留田ハラルド; 
//
// Bibliography
//   Harald Galda, 'Development of a segmentation method for dermoscopic images based on color clustering', Kobe University, August 2003

// start of coding after on empty line to mark the end of the head_comments section
// This file is for XML file generation only.
endfunction
